## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.3.0 --stream hackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global shortname frpq

# requires network for dnf
%bcond tests 0

Name:           fedora-repoquery
Version:        0.7.3
Release:        %autorelease
Summary:        Fedora release repos package query tool

License:        GPL-3.0-or-later
URL:            https://hackage.haskell.org/package/fedora-repoquery
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-curl-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-fedora-releases-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-xdg-basedir-devel
BuildRequires:  help2man
# End cabal-rpm deps

%description
A CLI tool for repoquerying Fedora and Centos Stream release packages:
by default it displays their version and repo location and
optionally repo compose timestamps.

If you want a short alias then also install %{name}-short.


%package short
Summary:        Provides %{shortname} alias for fedora-repoquery
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description short
The package provides a shorter alias symlink for fedora-repoquery: %{shortname}


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install

set noclobber
mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install

ln -s %{name} %{buildroot}%{_bindir}/%{shortname}
sed -i -e "s/ _%{name} / _%{name} %{shortname} /" %{buildroot}%{bash_completions_dir}/%{name}
ln -s %{name} %{buildroot}%{_datadir}/bash-completion/completions/%{shortname}
ln -s %{name}.1 %{buildroot}%{_mandir}/man1/%{shortname}.1


%check
%if %{with tests}
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license COPYING
%doc ChangeLog.md README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%files short
%{_bindir}/%{shortname}
%{_datadir}/bash-completion/completions/%{shortname}
%{_mandir}/man1/%{shortname}.1*


%changelog
## START: Generated by rpmautospec
* Fri Jun 06 2025 Jens Petersen <petersen@redhat.com> - 0.7.3-1
- https://hackage.haskell.org/package/fedora-repoquery-0.7.3/changelog

* Fri Jun 06 2025 Jens Petersen <petersen@redhat.com> - 0.7.2-2
- add bash-completions for frpq

* Thu May 08 2025 Jens Petersen <petersen@redhat.com> - 0.7.2-1
- https://hackage.haskell.org/package/fedora-repoquery-0.7.2/changelog
- warn when no release specified
- add support for epel10.x minor releases
- also parse c8s, c9s, c10s
- use eln via download.fp.o (or dl.fp.o) and drop its channels
- support short pneumonics for common queryformats (nv,nvr,nvra,envr,envra)

* Sun Feb 23 2025 Jens Petersen <petersen@redhat.com> - 0.7.1-4
- cabal-rpm-2.3.0

* Sat Feb 01 2025 Jens Petersen <petersen@redhat.com> - 0.7.1-3
- use %%bcond for tests

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 03 2024 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- https://hackage.haskell.org/package/fedora-repoquery-0.7.1/changelog

* Sat Aug 03 2024 Jens Petersen <petersen@redhat.com> - 0.7-4
- cabal-rpm-2.2.1 still uses %%bcond_with

* Sat Aug 03 2024 Jens Petersen <petersen@redhat.com> - 0.7-3
- add short subpackage with frpq alias

* Fri Jul 19 2024 Jens Petersen <petersen@redhat.com> - 0.7-1
- https://hackage.haskell.org/package/fedora-repoquery-0.7/changelog

* Wed Jul 17 2024 Jens Petersen <petersen@redhat.com> - 0.6-1
- https://hackage.haskell.org/package/fedora-repoquery-0.6/changelog

* Tue Jul  2 2024 Jens Petersen <petersen@redhat.com> - 0.5-1
- https://hackage.haskell.org/package/fedora-repoquery-0.5/changelog

* Fri May 24 2024 Jens Petersen <petersen@redhat.com> - 0.4-1
- https://hackage.haskell.org/package/fedora-repoquery-0.4/changelog
- add fedora-repoquery symlink

* Mon Feb 19 2024 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- https://hackage.haskell.org/package/fedora-repoquery-0.3.2/changelog

* Mon Feb 12 2024 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- https://hackage.haskell.org/package/fedora-repoquery-0.3.1/changelog

* Thu Nov 09 2023 Jens Petersen <petersen@redhat.com> - 0.3-1
- https://hackage.haskell.org/package/fedora-repoquery-0.3/changelog

* Fri May 12 2023 Jens Petersen <petersen@redhat.com> - 0.2-1
- support fedora and epel testing repos
- fix fedora archive urls
- support querying archived epel repos
- support fedora-secondary urls for ppc64le and s390x including archive

* Sun May  7 2023 Jens Petersen <petersen@redhat.com> - 0.1.0-1
- spec file generated by cabal-rpm-2.1.1

## END: Generated by rpmautospec
